# std::runtime_error Class Reference

One of two subclasses of exception. More...

Inheritance diagram for std::runtime_error:

[legend]
Collaboration diagram for std::runtime_error:

[legend]
List of all members.

## Public Methods

| runtime_error (const string &__arg)
virtual const char * | what () const throw ()

## Detailed Description

One of two subclasses of exception.

Runtime errors represent problems outside the scope of a program; they cannot be easily predicted and can generally only be caught as the program executes.

Definition at line 108 of file stdexcept.

## Constructor & Destructor Documentation

std::runtime_error::runtime_error | ( | const string & | __arg | ) | `[explicit]`

| Takes a character string describing the error. Definition at line 60 of file stdexcept.cc.

## Member Function Documentation

const char * std::runtime_error::what | ( |  | ) | const throw ()`[virtual]`

| Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor). Reimplemented from std::exception. Definition at line 66 of file stdexcept.cc.

The documentation for this class was generated from the following files:

- stdexcept
- stdexcept.cc